> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-06-24-docs-simplify-date-zoom-usage-description.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get schema

> Get individual SCIM schema



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v1/scim/v2/Schemas/{schemaId}
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3228.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/scim/v2/Schemas/{schemaId}:
    get:
      tags:
        - SCIM
      summary: Get schema
      description: Get individual SCIM schema
      operationId: GetScimSchema
      parameters:
        - description: schema identifier
          in: path
          name: schemaId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScimSchema'
              examples:
                Example 1:
                  value:
                    schemas:
                      - urn:ietf:params:scim:schemas:core:2.0:Schema
                    id: urn:ietf:params:scim:schemas:extension:2.0:Role
                    name: Role
                    description: Role Schema
                    attributes:
                      - name: value
                        type: string
                        multiValued: false
                        description: The value of the role
                        required: true
                        caseExact: false
                        mutability: readOnly
                        returned: default
                        uniqueness: none
                      - name: display
                        type: string
                        multiValued: false
                        description: Human-readable name for the role
                        required: false
                        caseExact: false
                        mutability: readOnly
                        returned: default
                        uniqueness: none
                      - name: type
                        type: string
                        multiValued: false
                        description: Label indicating the role function
                        required: false
                        caseExact: false
                        mutability: readOnly
                        returned: default
                        uniqueness: none
                      - name: supported
                        type: boolean
                        multiValued: false
                        description: Boolean indicating if the role is usable
                        required: true
                        caseExact: false
                        mutability: readOnly
                        returned: default
                        uniqueness: none
      security: []
components:
  schemas:
    ScimSchema:
      properties:
        schemas:
          items:
            $ref: '#/components/schemas/ScimSchemaType.SCHEMA'
          type: array
        id:
          type: string
        meta:
          properties:
            version:
              type: string
            location:
              type: string
            lastModified:
              type: string
              format: date-time
            created:
              type: string
              format: date-time
            resourceType:
              type: string
          type: object
        name:
          type: string
        description:
          type: string
        attributes:
          items:
            $ref: '#/components/schemas/ScimSchemaAttribute'
          type: array
      required:
        - schemas
        - id
        - attributes
      type: object
      additionalProperties: true
    ScimSchemaType.SCHEMA:
      enum:
        - urn:ietf:params:scim:schemas:core:2.0:Schema
      type: string
    ScimSchemaAttribute:
      properties:
        name:
          type: string
        type:
          type: string
          enum:
            - string
            - boolean
            - decimal
            - integer
            - dateTime
            - reference
            - complex
        multiValued:
          type: boolean
        description:
          type: string
        required:
          type: boolean
        canonicalValues:
          items:
            type: string
          type: array
        caseExact:
          type: boolean
        mutability:
          type: string
          enum:
            - readOnly
            - readWrite
            - immutable
            - writeOnly
        returned:
          type: string
          enum:
            - always
            - never
            - default
            - request
        uniqueness:
          type: string
          enum:
            - none
            - server
            - global
        subAttributes:
          items:
            $ref: '#/components/schemas/ScimSchemaAttribute'
          type: array
      required:
        - name
        - type
        - multiValued
        - required
        - caseExact
        - mutability
        - returned
        - uniqueness
      type: object
      additionalProperties: true

````